/*
 * @Description: 描述
 * @Author: chd
 * @Date: 2021-01-27 17:22:04
 * @LastEditors: chd
 * @LastEditTime: 2021-01-27 17:24:04
 */
export default {
  data() {
    return {
      paginationOptions: {
        pageSize: 100,
        currentPage: 1,
        total: 0,
      },
      pickListpaginationOptions: {
        pageSize: 100,
        currentPage: 1,
        total: 0,
      },
      paginationPickOptions: {
        pageSize: 100,
        currentPage: 1,
        total: 0,
      },
    }
  },
  methods: {
    setpaginationOptions(opt) {
      for (const key in opt) {
        this.paginationOptions[key] = opt[key]
      }
      this.getlist()
    },
    setPickListPaginationOptions(opt) {
      for (const key in opt) {
        this.pickListpaginationOptions[key] = opt[key]
      }
      // TODO
      this.getPickList()
    },
    setpaginationPickOptions(opt) {
      for (const key in opt) {
        this.paginationPickOptions[key] = opt[key]
      }
    },
  },
}
